<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ProjectACES: src/main.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ProjectACES
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">main.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="dijkstra_8hpp_source.html">../include/dijkstra.hpp</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="IO__dijkstra_8hpp_source.html">../include/IO_dijkstra.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for main.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="main_8cpp__incl.png" border="0" usemap="#asrc_2main_8cpp" alt=""/></div>
<map name="asrc_2main_8cpp" id="asrc_2main_8cpp">
<area shape="rect" title=" " alt="" coords="116,5,221,32"/>
<area shape="rect" title=" " alt="" coords="5,80,76,107"/>
<area shape="rect" title=" " alt="" coords="101,80,167,107"/>
<area shape="rect" href="dijkstra_8hpp.html" title="File that contains the declaration of the struct Dijkstra_node and class Dijkstra." alt="" coords="187,155,350,181"/>
<area shape="rect" href="IO__dijkstra_8hpp.html" title="File that contains the methods used to get inputs from user (files, manual inputs,..." alt="" coords="243,80,425,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="main_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr class="memdesc:a3c04138a5bfe5d72780bb7e82a18e627"><td class="mdescLeft">&#160;</td><td class="mdescRight">Description of how to run the program.  <a href="main_8cpp.html#a3c04138a5bfe5d72780bb7e82a18e627">More...</a><br /></td></tr>
<tr class="separator:a3c04138a5bfe5d72780bb7e82a18e627"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a3c04138a5bfe5d72780bb7e82a18e627"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3c04138a5bfe5d72780bb7e82a18e627">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&#160;</td>
          <td class="paramname"><em>argv</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Description of how to run the program. </p>
<div class="fragment"><div class="line">./program (<a class="code" href="IO__dijkstra_8cpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a> and output by terminal). \n</div>
<div class="line">./program &lt;input_filename&gt; (output by terminal). \n</div>
<div class="line">./program &lt;input_filename&gt; &lt;output_filename&gt; (starting and target node <a class="code" href="IO__dijkstra_8cpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a> by terminal, output to file and image). \n</div>
<div class="line">./program &lt;input_filename&gt; &lt;output_filename&gt; &lt;start_row&gt; &lt;start_col&gt; &lt;target_row&gt; &lt;target_col&gt;(output to file and image). \n</div>
<div class="ttc" id="aIO__dijkstra_8cpp_html_aafb5b424fbe7b42fd0e53e67641fdf41"><div class="ttname"><a href="IO__dijkstra_8cpp.html#aafb5b424fbe7b42fd0e53e67641fdf41">input</a></div><div class="ttdeci">Dijkstra * input</div><div class="ttdoc">Global variable.</div><div class="ttdef"><b>Definition:</b> IO_dijkstra.cpp:17</div></div>
</div><!-- fragment --> <dl class="section warning"><dt>Warning</dt><dd>Please, omit output file extension. It will always be .txt for text and .png for picture. </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">argc</td><td>Number of argumets when we run the program. </td></tr>
    <tr><td class="paramname">argv</td><td>The actual arguments when we run the program. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="IO__dijkstra_8cpp.html#a2d79b97f0b64ee3ee879c53dea1f03f1" title="Get the input from file.">input_from_file_nodes_by_keyboard()</a> </dd>
<dd>
<a class="el" href="IO__dijkstra_8cpp.html#ae2016b31eb4b57201b2fefe90996ee97" title="Get the input from file.">input_from_file()</a> </dd>
<dd>
<a class="el" href="dijkstra_8cpp.html#aa7a3565b6f1bd2d9160f36f88e84a572" title="Sanity check function.">are_valid_nodes()</a> </dd>
<dd>
<a class="el" href="IO__dijkstra_8cpp.html#af364850041ab7c41abddd9e2f78c2ac0" title="Method to get the input from terminal.">input_by_terminal()</a> </dd>
<dd>
<a class="el" href="IO__dijkstra_8cpp.html#acd47201a4c7cd4e0f6a2dcc7fa4bd1fe" title="Method to print the input.">print_dijkstra_input()</a> </dd>
<dd>
<a class="el" href="IO__dijkstra_8cpp.html#a862a3eb61f13fcdaf3ed46d783b183cb" title="Add the output in a specific file.">output_to_file()</a> </dd>
<dd>
<a class="el" href="IO__dijkstra_8cpp.html#a46447e94f6e58437e2df57d253e06e41" title="Method to print the output.">print_dijkstra_output()</a> </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
